DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# RegistryGet

Get a registry item

## SYNOPSIS

`#include "dip_registry.h"`

dip_Error dip_RegistryGet ( id, class, registry )

## FUNCTION

This function obtains the Registry information of the `ID` of the Registry class `class`. See `Register` for more information about DIPlib's Registry.

The following code gives an example of a class-specific register list function:

    dip_Error dip_MsrRegistryGet
    (
       dip_int id,
       dip_MsrRegistry *registry
    )
    {
       DIP_FN_DECLARE("dip_MsrRegistryGet");
       dip_MsrRegistry *reg;
       void *data;

       DIPXJ( dip_RegistryGet ( id, DIP_REGISTRY_CLASS_MEASUREMENT, &data ));
       reg = data;
       *registry = *reg;

    dip_error:
       DIP_FN_EXIT;
    }

## ARGUMENTS

Data type | Name | Description
`dip_int` | `id` | Registry ID
`dip_int` | `class` | Registry class
`dip_void **` | `registry` | Pointer to registered data

## SEE ALSO

`Register`, `Unregister`, `RegisterClass`, `RegistryList`, `RegistryValid`, `RegistryArrayNew`